Debian Bug report logs - #599345
linux-image-2.6.32-5-amd64: iwlagn allocation failure

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Julien Cristau <jcristau@debian.org>

Date: Wed, 6 Oct 2010 19:21:05 UTC

Severity: minor

Tags: fixed-upstream, moreinfo, patch

Found in version 2.6.32-23

Fixed in version linux-2.6/2.6.32-30

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599345; Package linux-2.6. (Wed, 06 Oct 2010 19:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 06 Oct 2010 19:21:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.32-5-amd64: iwlagn allocation failure
Date: Wed, 6 Oct 2010 21:19:47 +0200
[Message part 1 (text/plain, inline)]
Package: linux-2.6
Version: 2.6.32-23
Severity: normal

iwlagn decided 2 weeks of uptime was enough and it wanted me to reboot,
because it was unhappy after resume.

Bit of kern.log:

Oct  6 21:05:02 radis kernel: [378665.326381] NetworkManager: page allocation failure. order:4, mode:0x40d0
Oct  6 21:05:02 radis kernel: [378665.326393] Pid: 25555, comm: NetworkManager Not tainted 2.6.32-5-amd64 #1
Oct  6 21:05:02 radis kernel: [378665.326398] Call Trace:
Oct  6 21:05:02 radis kernel: [378665.326417]  [<ffffffff810b9f30>] ? __alloc_pages_nodemask+0x55b/0x5cf
Oct  6 21:05:02 radis kernel: [378665.326427]  [<ffffffff810b8f2d>] ? __get_free_pages+0x9/0x46
Oct  6 21:05:02 radis kernel: [378665.326461]  [<ffffffffa03eaaa7>] ? iwl_tx_queue_init+0xf1/0x2e6 [iwlcore]
Oct  6 21:05:02 radis kernel: [378665.326477]  [<ffffffffa03e981f>] ? _iwl_grab_nic_access+0x39/0xbe [iwlcore]
Oct  6 21:05:02 radis kernel: [378665.326493]  [<ffffffffa03eae13>] ? iwl_txq_ctx_reset+0x177/0x1fc [iwlcore]
Oct  6 21:05:02 radis kernel: [378665.326510]  [<ffffffffa03e4e83>] ? iwl_hw_nic_init+0x123/0x142 [iwlcore]
Oct  6 21:05:02 radis kernel: [378665.326524]  [<ffffffffa04213fe>] ? __iwl_up+0x179/0x321 [iwlagn]
Oct  6 21:05:02 radis kernel: [378665.326534]  [<ffffffff812f99eb>] ? _cond_resched+0x24/0x2f
Oct  6 21:05:02 radis kernel: [378665.326547]  [<ffffffffa0421c2a>] ? iwl_mac_start+0x684/0x7f6 [iwlagn]
Oct  6 21:05:02 radis kernel: [378665.326558]  [<ffffffff810fc23e>] ? pollwake+0x53/0x59
Oct  6 21:05:02 radis kernel: [378665.326569]  [<ffffffff81049fee>] ? default_wake_function+0x0/0x9
Oct  6 21:05:02 radis kernel: [378665.326578]  [<ffffffff8103f81e>] ? __wake_up+0x30/0x44
Oct  6 21:05:02 radis kernel: [378665.326587]  [<ffffffff812691ab>] ? netlink_broadcast+0x266/0x29d
Oct  6 21:05:02 radis kernel: [378665.326611]  [<ffffffffa038f852>] ? ieee80211_open+0x27b/0x653 [mac80211]
Oct  6 21:05:02 radis kernel: [378665.326629]  [<ffffffffa0292498>] ? cfg80211_netdev_notifier_call+0x391/0x3a7 [cfg80211]
Oct  6 21:05:02 radis kernel: [378665.326642]  [<ffffffff8124fe17>] ? dev_open+0xa4/0xe6
Oct  6 21:05:02 radis kernel: [378665.326651]  [<ffffffff8124f5e2>] ? dev_change_flags+0xaf/0x16d
Oct  6 21:05:02 radis kernel: [378665.326661]  [<ffffffff8125744b>] ? do_setlink+0x284/0x351
Oct  6 21:05:02 radis kernel: [378665.326670]  [<ffffffff812576d2>] ? rtnl_setlink+0x12f/0x144
Oct  6 21:05:02 radis kernel: [378665.326680]  [<ffffffff81258462>] ? rtnetlink_rcv_msg+0x64/0x1f5
Oct  6 21:05:02 radis kernel: [378665.326688]  [<ffffffff812583fe>] ? rtnetlink_rcv_msg+0x0/0x1f5
Oct  6 21:05:02 radis kernel: [378665.326696]  [<ffffffff81269610>] ? netlink_rcv_skb+0x34/0x7c
Oct  6 21:05:02 radis kernel: [378665.326704]  [<ffffffff812583f8>] ? rtnetlink_rcv+0x1f/0x25
Oct  6 21:05:02 radis kernel: [378665.326711]  [<ffffffff81269404>] ? netlink_unicast+0xe2/0x148
Oct  6 21:05:02 radis kernel: [378665.326719]  [<ffffffff81247595>] ? __alloc_skb+0x69/0x15a
Oct  6 21:05:02 radis kernel: [378665.326727]  [<ffffffff81269b30>] ? netlink_sendmsg+0x242/0x255
Oct  6 21:05:02 radis kernel: [378665.326738]  [<ffffffff8123ff25>] ? sock_sendmsg+0xa3/0xbb
Oct  6 21:05:02 radis kernel: [378665.326746]  [<ffffffff8123fe29>] ? sock_recvmsg+0xa6/0xbe
Oct  6 21:05:02 radis kernel: [378665.326755]  [<ffffffff810649ee>] ? autoremove_wake_function+0x0/0x2e
Oct  6 21:05:02 radis kernel: [378665.326763]  [<ffffffff810649ee>] ? autoremove_wake_function+0x0/0x2e
Oct  6 21:05:02 radis kernel: [378665.326772]  [<ffffffff812488ec>] ? verify_iovec+0x46/0x82
Oct  6 21:05:02 radis kernel: [378665.326780]  [<ffffffff81240167>] ? sys_sendmsg+0x22a/0x2b5
Oct  6 21:05:02 radis kernel: [378665.326789]  [<ffffffff812425cb>] ? lock_sock_nested+0xa0/0xab
Oct  6 21:05:02 radis kernel: [378665.326797]  [<ffffffff8104033d>] ? set_next_entity+0x34/0x56
Oct  6 21:05:02 radis kernel: [378665.326807]  [<ffffffff81010b42>] ? system_call_fastpath+0x16/0x1b
Oct  6 21:05:02 radis kernel: [378665.326814] Mem-Info:
Oct  6 21:05:02 radis kernel: [378665.326818] Node 0 DMA per-cpu:
Oct  6 21:05:02 radis kernel: [378665.326825] CPU    0: hi:    0, btch:   1 usd:   0
Oct  6 21:05:02 radis kernel: [378665.326831] CPU    1: hi:    0, btch:   1 usd:   0
Oct  6 21:05:02 radis kernel: [378665.326835] Node 0 DMA32 per-cpu:
Oct  6 21:05:02 radis kernel: [378665.326841] CPU    0: hi:  186, btch:  31 usd:   0
Oct  6 21:05:02 radis kernel: [378665.326847] CPU    1: hi:  186, btch:  31 usd:   0
Oct  6 21:05:02 radis kernel: [378665.326860] active_anon:160995 inactive_anon:81502 isolated_anon:1
Oct  6 21:05:02 radis kernel: [378665.326863]  active_file:175919 inactive_file:132273 isolated_file:0
Oct  6 21:05:02 radis kernel: [378665.326866]  unevictable:26 dirty:167 writeback:0 unstable:0
Oct  6 21:05:02 radis kernel: [378665.326869]  free:90365 slab_reclaimable:83403 slab_unreclaimable:19585
Oct  6 21:05:02 radis kernel: [378665.326872]  mapped:14852 shmem:8390 pagetables:6025 bounce:0
Oct  6 21:05:02 radis kernel: [378665.326878] Node 0 DMA free:11908kB min:32kB low:40kB high:48kB active_anon:0kB inactive_anon:0kB active_file:424kB inactive_file:28kB unevictable:0kB isolated(anon):0kB isolated(file):0kB present:15332kB mlocked:0kB dirty:0kB writeback:0kB mapped:0kB shmem:0kB slab_reclaimable:3172kB slab_unreclaimable:48kB kernel_stack:8kB pagetables:0kB unstable:0kB bounce:0kB writeback_tmp:0kB pages_scanned:0 all_unreclaimable? no
Oct  6 21:05:02 radis kernel: [378665.326907] lowmem_reserve[]: 0 2967 2967 2967
Oct  6 21:05:02 radis kernel: [378665.326916] Node 0 DMA32 free:349552kB min:6952kB low:8688kB high:10428kB active_anon:643980kB inactive_anon:326008kB active_file:703252kB inactive_file:529064kB unevictable:104kB isolated(anon):4kB isolated(file):0kB present:3038380kB mlocked:104kB dirty:668kB writeback:0kB mapped:59408kB shmem:33560kB slab_reclaimable:330440kB slab_unreclaimable:78292kB kernel_stack:1776kB pagetables:24100kB unstable:0kB bounce:0kB writeback_tmp:0kB pages_scanned:0 all_unreclaimable? no
Oct  6 21:05:02 radis kernel: [378665.326947] lowmem_reserve[]: 0 0 0 0
Oct  6 21:05:02 radis kernel: [378665.326956] Node 0 DMA: 67*4kB 63*8kB 34*16kB 27*32kB 12*64kB 6*128kB 8*256kB 2*512kB 1*1024kB 2*2048kB 0*4096kB = 11908kB
Oct  6 21:05:02 radis kernel: [378665.326979] Node 0 DMA32: 9380*4kB 36708*8kB 1108*16kB 0*32kB 0*64kB 1*128kB 0*256kB 1*512kB 0*1024kB 0*2048kB 0*4096kB = 349552kB
Oct  6 21:05:02 radis kernel: [378665.327003] 316580 total pagecache pages
Oct  6 21:05:02 radis kernel: [378665.327007] 0 pages in swap cache
Oct  6 21:05:02 radis kernel: [378665.327012] Swap cache stats: add 0, delete 0, find 0/0
Oct  6 21:05:02 radis kernel: [378665.327017] Free swap  = 0kB
Oct  6 21:05:02 radis kernel: [378665.327020] Total swap = 0kB
Oct  6 21:05:02 radis kernel: [378665.363609] 774221 pages RAM
Oct  6 21:05:02 radis kernel: [378665.363614] 12520 pages reserved
Oct  6 21:05:02 radis kernel: [378665.363618] 320435 pages shared
Oct  6 21:05:02 radis kernel: [378665.363621] 426149 pages non-shared
Oct  6 21:05:02 radis kernel: [378665.363630] iwlagn 0000:0c:00.0: kmalloc for auxiliary BD structures failed
Oct  6 21:05:02 radis kernel: [378665.363734] iwlagn 0000:0c:00.0: Tx 19 queue init failed
Oct  6 21:05:02 radis kernel: [378665.365349] iwlagn 0000:0c:00.0: Unable to init nic
Oct  6 21:05:02 radis kernel: [378665.375743] wpa_supplicant: page allocation failure. order:4, mode:0x40d0
Oct  6 21:05:02 radis kernel: [378665.375750] Pid: 2205, comm: wpa_supplicant Not tainted 2.6.32-5-amd64 #1
Oct  6 21:05:02 radis kernel: [378665.375753] Call Trace:
Oct  6 21:05:02 radis kernel: [378665.375765]  [<ffffffff810b9f30>] ? __alloc_pages_nodemask+0x55b/0x5cf
Oct  6 21:05:02 radis kernel: [378665.375771]  [<ffffffff810b8f2d>] ? __get_free_pages+0x9/0x46
Oct  6 21:05:02 radis kernel: [378665.375795]  [<ffffffffa03eaaa7>] ? iwl_tx_queue_init+0xf1/0x2e6 [iwlcore]
Oct  6 21:05:02 radis kernel: [378665.375804]  [<ffffffffa03e981f>] ? _iwl_grab_nic_access+0x39/0xbe [iwlcore]
Oct  6 21:05:02 radis kernel: [378665.375813]  [<ffffffffa03eae13>] ? iwl_txq_ctx_reset+0x177/0x1fc [iwlcore]
Oct  6 21:05:02 radis kernel: [378665.375823]  [<ffffffffa03e4e83>] ? iwl_hw_nic_init+0x123/0x142 [iwlcore]
Oct  6 21:05:02 radis kernel: [378665.375832]  [<ffffffffa04213fe>] ? __iwl_up+0x179/0x321 [iwlagn]
Oct  6 21:05:02 radis kernel: [378665.375840]  [<ffffffffa0421c2a>] ? iwl_mac_start+0x684/0x7f6 [iwlagn]
Oct  6 21:05:02 radis kernel: [378665.375846]  [<ffffffff810fc23e>] ? pollwake+0x53/0x59
Oct  6 21:05:02 radis kernel: [378665.375853]  [<ffffffff81049fee>] ? default_wake_function+0x0/0x9
Oct  6 21:05:02 radis kernel: [378665.375858]  [<ffffffff8103f81e>] ? __wake_up+0x30/0x44
Oct  6 21:05:02 radis kernel: [378665.375864]  [<ffffffff812691ab>] ? netlink_broadcast+0x266/0x29d
Oct  6 21:05:02 radis kernel: [378665.375879]  [<ffffffffa038f852>] ? ieee80211_open+0x27b/0x653 [mac80211]
Oct  6 21:05:02 radis kernel: [378665.375892]  [<ffffffffa0292498>] ? cfg80211_netdev_notifier_call+0x391/0x3a7 [cfg80211]
Oct  6 21:05:02 radis kernel: [378665.375901]  [<ffffffff8124fe17>] ? dev_open+0xa4/0xe6
Oct  6 21:05:02 radis kernel: [378665.375905]  [<ffffffff8124f5e2>] ? dev_change_flags+0xaf/0x16d
Oct  6 21:05:02 radis kernel: [378665.375912]  [<ffffffff81297923>] ? devinet_ioctl+0x274/0x52d
Oct  6 21:05:02 radis kernel: [378665.375918]  [<ffffffff8123f65d>] ? sock_ioctl+0x1f2/0x216
Oct  6 21:05:02 radis kernel: [378665.375923]  [<ffffffff810fa032>] ? vfs_ioctl+0x21/0x6c
Oct  6 21:05:02 radis kernel: [378665.375928]  [<ffffffff810fa580>] ? do_vfs_ioctl+0x48d/0x4cb
Oct  6 21:05:02 radis kernel: [378665.375933]  [<ffffffff810ec7d7>] ? fd_install+0x2e/0x5a
Oct  6 21:05:02 radis kernel: [378665.375938]  [<ffffffff8123fc88>] ? sock_map_fd+0x57/0x64
Oct  6 21:05:02 radis kernel: [378665.375942]  [<ffffffff810fa60f>] ? sys_ioctl+0x51/0x70
Oct  6 21:05:02 radis kernel: [378665.375948]  [<ffffffff81010b42>] ? system_call_fastpath+0x16/0x1b
Oct  6 21:05:02 radis kernel: [378665.375951] Mem-Info:
Oct  6 21:05:02 radis kernel: [378665.375954] Node 0 DMA per-cpu:
Oct  6 21:05:02 radis kernel: [378665.375958] CPU    0: hi:    0, btch:   1 usd:   0
Oct  6 21:05:02 radis kernel: [378665.375962] CPU    1: hi:    0, btch:   1 usd:   0
Oct  6 21:05:02 radis kernel: [378665.375964] Node 0 DMA32 per-cpu:
Oct  6 21:05:02 radis kernel: [378665.375968] CPU    0: hi:  186, btch:  31 usd:   0
Oct  6 21:05:02 radis kernel: [378665.375971] CPU    1: hi:  186, btch:  31 usd:  30
Oct  6 21:05:02 radis kernel: [378665.375978] active_anon:160957 inactive_anon:81502 isolated_anon:1
Oct  6 21:05:02 radis kernel: [378665.375980]  active_file:175864 inactive_file:132317 isolated_file:0
Oct  6 21:05:02 radis kernel: [378665.375982]  unevictable:26 dirty:173 writeback:0 unstable:0
Oct  6 21:05:02 radis kernel: [378665.375984]  free:90469 slab_reclaimable:83403 slab_unreclaimable:19529
Oct  6 21:05:02 radis kernel: [378665.375985]  mapped:14852 shmem:8390 pagetables:6025 bounce:0
Oct  6 21:05:02 radis kernel: [378665.375989] Node 0 DMA free:11908kB min:32kB low:40kB high:48kB active_anon:0kB inactive_anon:0kB active_file:424kB inactive_file:28kB unevictable:0kB isolated(anon):0kB isolated(file):0kB present:15332kB mlocked:0kB dirty:0kB writeback:0kB mapped:0kB shmem:0kB slab_reclaimable:3172kB slab_unreclaimable:48kB kernel_stack:8kB pagetables:0kB unstable:0kB bounce:0kB writeback_tmp:0kB pages_scanned:0 all_unreclaimable? no
Oct  6 21:05:02 radis kernel: [378665.376069] lowmem_reserve[]: 0 2967 2967 2967
Oct  6 21:05:02 radis kernel: [378665.376074] Node 0 DMA32 free:349968kB min:6952kB low:8688kB high:10428kB active_anon:643844kB inactive_anon:326008kB active_file:703032kB inactive_file:529240kB unevictable:104kB isolated(anon):4kB isolated(file):0kB present:3038380kB mlocked:104kB dirty:692kB writeback:0kB mapped:59408kB shmem:33560kB slab_reclaimable:330440kB slab_unreclaimable:78068kB kernel_stack:1784kB pagetables:24100kB unstable:0kB bounce:0kB writeback_tmp:0kB pages_scanned:0 all_unreclaimable? no
Oct  6 21:05:02 radis kernel: [378665.376092] lowmem_reserve[]: 0 0 0 0
Oct  6 21:05:02 radis kernel: [378665.376097] Node 0 DMA: 67*4kB 63*8kB 34*16kB 27*32kB 12*64kB 6*128kB 8*256kB 2*512kB 1*1024kB 2*2048kB 0*4096kB = 11908kB
Oct  6 21:05:02 radis kernel: [378665.376111] Node 0 DMA32: 9330*4kB 36709*8kB 1128*16kB 1*32kB 0*64kB 1*128kB 1*256kB 1*512kB 0*1024kB 0*2048kB 0*4096kB = 349968kB
Oct  6 21:05:02 radis kernel: [378665.376125] 316567 total pagecache pages
Oct  6 21:05:02 radis kernel: [378665.376127] 0 pages in swap cache
Oct  6 21:05:02 radis kernel: [378665.376130] Swap cache stats: add 0, delete 0, find 0/0
Oct  6 21:05:02 radis kernel: [378665.376132] Free swap  = 0kB
Oct  6 21:05:02 radis kernel: [378665.376134] Total swap = 0kB
Oct  6 21:05:02 radis kernel: [378665.396783] 774221 pages RAM
Oct  6 21:05:02 radis kernel: [378665.396786] 12520 pages reserved
Oct  6 21:05:02 radis kernel: [378665.396788] 319675 pages shared
Oct  6 21:05:02 radis kernel: [378665.396790] 425884 pages non-shared
Oct  6 21:05:02 radis kernel: [378665.396795] iwlagn 0000:0c:00.0: kmalloc for auxiliary BD structures failed
Oct  6 21:05:02 radis kernel: [378665.396858] iwlagn 0000:0c:00.0: Tx 17 queue init failed
Oct  6 21:05:02 radis kernel: [378665.397642] iwlagn 0000:0c:00.0: Unable to init nic

Cheers,
Julien

-- Package-specific info:
** Version:
Linux version 2.6.32-5-amd64 (Debian 2.6.32-24) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-4) ) #1 SMP Thu Sep 30 03:34:00 UTC 2010

** Command line:
BOOT_IMAGE=/vmlinuz-2.6.32-5-amd64 root=/dev/mapper/radis-root ro quiet

** Not tainted

** Kernel log:
[   11.867597] Monitor-Mwait will be used to enter C-3 state
[   11.867611] Marking TSC unstable due to TSC halts in idle
[   11.867725] processor LNXCPU:00: registered as cooling_device0
[   11.868413] ACPI: SSDT 00000000bd050c1e 001D7 (v01  PmRef    ApIst 00003000 INTL 20050624)
[   11.869164] ACPI: SSDT 00000000bd0513bb 0008D (v01  PmRef    ApCst 00003000 INTL 20050624)
[   11.870047] Switching to clocksource hpet
[   11.870194] processor LNXCPU:01: registered as cooling_device1
[   11.885496] dcdbas dcdbas: Dell Systems Management Base Driver (version 5.6.0-3.2)
[   12.120405] ACPI: Battery Slot [BAT0] (battery present)
[   12.120606] ACPI: Battery Slot [BAT1] (battery absent)
[   12.158273] input: PS/2 Mouse as /devices/platform/i8042/serio1/input/input5
[   12.162574] [drm] Initialized drm 1.1.0 20060810
[   12.176227] i801_smbus 0000:00:1f.3: PCI INT B -> GSI 19 (level, low) -> IRQ 19
[   12.177392] input: AlpsPS/2 ALPS GlidePoint as /devices/platform/i8042/serio1/input/input6
[   12.212186] cfg80211: Using static regulatory domain info
[   12.212190] cfg80211: Regulatory domain: US
[   12.212192] 	(start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[   12.212197] 	(2402000 KHz - 2472000 KHz @ 40000 KHz), (600 mBi, 2700 mBm)
[   12.212201] 	(5170000 KHz - 5190000 KHz @ 40000 KHz), (600 mBi, 2300 mBm)
[   12.212205] 	(5190000 KHz - 5210000 KHz @ 40000 KHz), (600 mBi, 2300 mBm)
[   12.212208] 	(5210000 KHz - 5230000 KHz @ 40000 KHz), (600 mBi, 2300 mBm)
[   12.212212] 	(5230000 KHz - 5330000 KHz @ 40000 KHz), (600 mBi, 2300 mBm)
[   12.212216] 	(5735000 KHz - 5835000 KHz @ 40000 KHz), (600 mBi, 3000 mBm)
[   12.212748] cfg80211: Calling CRDA for country: US
[   12.244499] i915 0000:00:02.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[   12.244506] i915 0000:00:02.0: setting latency timer to 64
[   12.255273] mtrr: type mismatch for e0000000,10000000 old: write-back new: write-combining
[   12.255277] [drm] MTRR allocation failed.  Graphics performance may suffer.
[   12.255338]   alloc irq_desc for 29 on node -1
[   12.255342]   alloc kstat_irqs on node -1
[   12.255354] i915 0000:00:02.0: irq 29 for MSI/MSI-X
[   12.255362] [drm] set up 31M of stolen space
[   12.331208] iwlagn: Intel(R) Wireless WiFi Link AGN driver for Linux, 1.3.27ks
[   12.331212] iwlagn: Copyright(c) 2003-2009 Intel Corporation
[   12.331324] iwlagn 0000:0c:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[   12.331355] iwlagn 0000:0c:00.0: setting latency timer to 64
[   12.331551] iwlagn 0000:0c:00.0: Detected Intel Wireless WiFi Link 5300AGN REV=0x24
[   12.376493] iwlagn 0000:0c:00.0: Tunable channels: 13 802.11bg, 24 802.11a channels
[   12.376560]   alloc irq_desc for 30 on node -1
[   12.376563]   alloc kstat_irqs on node -1
[   12.376587] iwlagn 0000:0c:00.0: irq 30 for MSI/MSI-X
[   12.429723] phy0: Selected rate control algorithm 'iwl-agn-rs'
[   13.613453] Console: switching to colour frame buffer device 160x50
[   13.617719] fb0: inteldrmfb frame buffer device
[   13.617721] registered panic notifier
[   13.655032] acpi device:32: registered as cooling_device2
[   13.656176] input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A03:00/LNXVIDEO:00/input/input7
[   13.656232] ACPI: Video Device [VID] (multi-head: yes  rom: no  post: no)
[   13.656308] ACPI Warning for \_SB_.PCI0.VID2._DOD: Return Package has no elements (empty) (20090903/nspredef-433)
[   13.656410] input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A03:00/LNXVIDEO:01/input/input8
[   13.656452] ACPI: Video Device [VID2] (multi-head: yes  rom: no  post: no)
[   13.656480] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0
[   13.656534] HDA Intel 0000:00:1b.0: PCI INT A -> GSI 21 (level, low) -> IRQ 21
[   13.656572] HDA Intel 0000:00:1b.0: setting latency timer to 64
[   13.767770] input: HDA Digital PCBeep as /devices/pci0000:00/0000:00:1b.0/input/input9
[   13.782178] input: HDA Intel Mic at Sep Left Jack as /devices/pci0000:00/0000:00:1b.0/sound/card0/input10
[   13.782274] input: HDA Intel Mic at Ext Right Jack as /devices/pci0000:00/0000:00:1b.0/sound/card0/input11
[   13.782361] input: HDA Intel Line Out at Sep Left Jack as /devices/pci0000:00/0000:00:1b.0/sound/card0/input12
[   13.782447] input: HDA Intel HP Out at Ext Right Jack as /devices/pci0000:00/0000:00:1b.0/sound/card0/input13
[   14.299944] EXT3 FS on dm-1, internal journal
[   14.719613] loop: module loaded
[   21.734299] fuse init (API version 7.13)
[   25.068568] Bluetooth: Core ver 2.15
[   25.068679] NET: Registered protocol family 31
[   25.068683] Bluetooth: HCI device and connection manager initialized
[   25.068689] Bluetooth: HCI socket layer initialized
[   25.084080] Bluetooth: L2CAP ver 2.14
[   25.084085] Bluetooth: L2CAP socket layer initialized
[   25.100724] Bluetooth: RFCOMM TTY layer initialized
[   25.100733] Bluetooth: RFCOMM socket layer initialized
[   25.100738] Bluetooth: RFCOMM ver 1.11
[   25.108878] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   25.108882] Bluetooth: BNEP filters: protocol multicast
[   25.122619] Bluetooth: SCO (Voice Link) ver 0.6
[   25.122623] Bluetooth: SCO socket layer initialized
[   26.180479] lp: driver loaded but no devices found
[   26.200982] ppdev: user-space parallel port driver
[   26.224311] e1000e 0000:00:19.0: irq 27 for MSI/MSI-X
[   26.276142] e1000e 0000:00:19.0: irq 27 for MSI/MSI-X
[   26.277721] ADDRCONF(NETDEV_UP): eth0: link is not ready
[   26.284066] iwlagn 0000:0c:00.0: firmware: requesting iwlwifi-5000-2.ucode
[   26.312974] iwlagn 0000:0c:00.0: loaded firmware version 8.24.2.12
[   26.498876] Registered led device: iwl-phy0::radio
[   26.498921] Registered led device: iwl-phy0::assoc
[   26.498959] Registered led device: iwl-phy0::RX
[   26.498995] Registered led device: iwl-phy0::TX
[   26.532533] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[   27.663138] ip_tables: (C) 2000-2006 Netfilter Core Team
[   27.717415] ip6_tables: (C) 2000-2006 Netfilter Core Team
[   28.865716] lo: Disabled Privacy Extensions
[   79.797545] wlan0: direct probe to AP 62:7a:0d:84:8c:60 (try 1)
[   79.801616] wlan0: direct probe responded
[   79.801624] wlan0: authenticate with AP 62:7a:0d:84:8c:60 (try 1)
[   79.809718] wlan0: authenticated
[   79.809741] wlan0: associate with AP 62:7a:0d:84:8c:60 (try 1)
[   79.820532] wlan0: RX AssocResp from 62:7a:0d:84:8c:60 (capab=0x411 status=0 aid=2)
[   79.820536] wlan0: associated
[   79.824077] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[   90.820042] wlan0: no IPv6 routers present
[  305.010958] iwlagn 0000:0c:00.0: iwl_tx_agg_start on ra = 62:7a:0d:84:8c:60 tid = 0

** Model information
sys_vendor: Dell Inc.
product_name: Latitude E4200                  
product_version: 
chassis_vendor: Dell Inc.
chassis_version: 
bios_vendor: Dell Inc.
bios_version: A03
board_vendor: Dell Inc.
board_name: 0X859D
board_version:    

** Loaded modules:
Module                  Size  Used by
ip6table_filter         2384  0 
ip6_tables             15075  1 ip6table_filter
iptable_filter          2258  0 
ip_tables              13899  1 iptable_filter
x_tables               12845  2 ip6_tables,ip_tables
parport_pc             18855  0 
ppdev                   5030  0 
lp                      7462  0 
parport                27954  3 parport_pc,ppdev,lp
sco                     7209  2 
bnep                    9427  2 
rfcomm                 29597  0 
l2cap                  24736  4 bnep,rfcomm
crc16                   1319  1 l2cap
bluetooth              41827  6 sco,bnep,rfcomm,l2cap
acpi_cpufreq            5555  1 
cpufreq_stats           2659  0 
cpufreq_powersave        902  0 
cpufreq_userspace       1992  0 
cpufreq_conservative     5162  0 
binfmt_misc             6431  1 
kvm_intel              38050  0 
kvm                   213800  1 kvm_intel
fuse                   50273  1 
ext2                   52969  1 
firewire_sbp2          11514  0 
loop                   11799  0 
snd_hda_codec_intelhdmi    10695  1 
snd_hda_codec_idt      42465  1 
snd_hda_intel          19987  1 
snd_hda_codec          54244  3 snd_hda_codec_intelhdmi,snd_hda_codec_idt,snd_hda_intel
snd_hwdep               5380  1 snd_hda_codec
snd_pcm_oss            32591  0 
arc4                    1274  2 
snd_mixer_oss          12606  1 snd_pcm_oss
ecb                     1841  2 
snd_pcm                60503  3 snd_hda_intel,snd_hda_codec,snd_pcm_oss
snd_seq_midi            4400  0 
snd_rawmidi            15515  1 snd_seq_midi
snd_seq_midi_event      4628  1 snd_seq_midi
iwlagn                 73235  0 
iwlcore                77810  1 iwlagn
snd_seq                42881  2 snd_seq_midi,snd_seq_midi_event
snd_timer              15582  2 snd_pcm,snd_seq
snd_seq_device          4493  3 snd_seq_midi,snd_rawmidi,snd_seq
mac80211              137340  2 iwlagn,iwlcore
snd                    46446  14 snd_hda_codec_intelhdmi,snd_hda_codec_idt,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
joydev                  8411  0 
i915                  254759  2 
serio_raw               3752  0 
cfg80211              101496  3 iwlagn,iwlcore,mac80211
i2c_i801                7830  0 
drm_kms_helper         20065  1 i915
soundcore               4598  1 snd
dell_laptop             1969  0 
drm                   142343  3 i915,drm_kms_helper
psmouse                49777  0 
i2c_algo_bit            4225  1 i915
evdev                   7352  15 
dcdbas                  5048  1 dell_laptop
rfkill                 13044  5 bluetooth,cfg80211,dell_laptop
video                  17445  1 i915
wmi                     4323  0 
i2c_core               15712  5 i915,i2c_i801,drm_kms_helper,drm,i2c_algo_bit
snd_page_alloc          6249  2 snd_hda_intel,snd_pcm
output                  1692  1 video
button                  4650  1 i915
battery                 4998  0 
ac                      2192  0 
processor              30303  3 acpi_cpufreq
ext3                  106518  1 
jbd                    37085  1 ext3
mbcache                 5050  2 ext2,ext3
sha256_generic          8692  2 
aes_x86_64              7340  3 
aes_generic            25714  1 aes_x86_64
cbc                     2539  1 
dm_crypt               10507  1 
dm_mod                 53770  6 dm_crypt
sd_mod                 29777  3 
crc_t10dif              1276  1 sd_mod
uhci_hcd               18521  0 
firewire_ohci          19468  0 
ahci                   32358  2 
libata                133616  1 ahci
ehci_hcd               31135  0 
sdhci_pci               5581  0 
sdhci                  13966  1 sdhci_pci
thermal                11674  0 
mmc_core               45686  1 sdhci
led_class               2433  2 iwlcore,sdhci
firewire_core          36800  2 firewire_sbp2,firewire_ohci
crc_itu_t               1307  1 firewire_core
scsi_mod              122117  3 firewire_sbp2,sd_mod,libata
thermal_sys            11942  3 video,processor,thermal
usbcore               121938  3 uhci_hcd,ehci_hcd
nls_base                6377  1 usbcore
e1000e                110031  0 

** Network interface configuration:

auto lo
iface lo inet loopback


iface wifi inet dhcp
	wireless-essid Airlink
	wireless-channel 11

** Network status:
*** IP interfaces and addresses:
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: eth0: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc pfifo_fast state DOWN qlen 1000
    link/ether 00:21:70:c7:14:82 brd ff:ff:ff:ff:ff:ff
3: wlan0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UP qlen 1000
    link/ether 00:21:6a:12:96:38 brd ff:ff:ff:ff:ff:ff
    inet 192.168.0.10/24 brd 192.168.0.255 scope global wlan0
    inet6 fe80::221:6aff:fe12:9638/64 scope link 
       valid_lft forever preferred_lft forever

*** Device statistics:
Inter-|   Receive                                                |  Transmit
 face |bytes    packets errs drop fifo frame compressed multicast|bytes    packets errs drop fifo colls carrier compressed
    lo:   31646     336    0    0    0     0          0         0    31646     336    0    0    0     0       0          0
  eth0:       0       0    0    0    0     0          0         0        0       0    0    0    0     0       0          0
 wlan0: 5779590    4528    0    0    0     0          0         0   262293    2693    0    0    0     0       0          0

*** Protocol statistics:
Ip:
    4856 total packets received
    1 with invalid addresses
    0 forwarded
    0 incoming packets discarded
    4854 incoming packets delivered
    2995 requests sent out
    1924 dropped because of missing route
    2 reassemblies required
    1 packets reassembled ok
Icmp:
    0 ICMP messages received
    0 input ICMP message failed.
    ICMP input histogram:
    0 ICMP messages sent
    0 ICMP messages failed
    ICMP output histogram:
Tcp:
    25 active connections openings
    2 passive connection openings
    1 failed connection attempts
    0 connection resets received
    2 connections established
    4423 segments received
    2562 segments send out
    0 segments retransmited
    0 bad segments received.
    4 resets sent
Udp:
    431 packets received
    0 packets to unknown port received.
    0 packet receive errors
    431 packets sent
UdpLite:
TcpExt:
    2 TCP sockets finished time wait in fast timer
    47 delayed acks sent
    925 packets directly queued to recvmsg prequeue.
    22864 bytes directly received in process context from prequeue
    3729 packet headers predicted
    24 packets header predicted and directly queued to user
    53 acknowledgments not containing data payload received
    266 predicted acknowledgments
IpExt:
    InMcastPkts: 9
    OutMcastPkts: 11
    InOctets: 5750334
    OutOctets: 197785
    InMcastOctets: 3247
    OutMcastOctets: 3327

*** Device features:
eth0: 0x1109a9
lo: 0x13865
wlan0: 0x2000

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub [8086:2a40] (rev 07)
	Subsystem: Dell Device [1028:0277]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>
	Kernel driver in use: agpgart-intel

00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07) (prog-if 00 [VGA controller])
	Subsystem: Dell Device [1028:0277]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 29
	Region 0: Memory at f6c00000 (64-bit, non-prefetchable) [size=4M]
	Region 2: Memory at e0000000 (64-bit, prefetchable) [size=256M]
	Region 4: I/O ports at ef98 [size=8]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915

00:02.1 Display controller [0380]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a43] (rev 07)
	Subsystem: Dell Device [1028:0277]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Region 0: Memory at f6b00000 (64-bit, non-prefetchable) [size=1M]
	Capabilities: <access denied>

00:19.0 Ethernet controller [0200]: Intel Corporation 82567LM Gigabit Network Connection [8086:10f5] (rev 03)
	Subsystem: Dell Device [1028:0277]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 27
	Region 0: Memory at f6ae0000 (32-bit, non-prefetchable) [size=128K]
	Region 1: Memory at f6adb000 (32-bit, non-prefetchable) [size=4K]
	Region 2: I/O ports at efe0 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: e1000e

00:1a.0 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 [8086:2937] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Dell Device [1028:0277]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 20
	Region 4: I/O ports at 6f60 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1a.1 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 [8086:2938] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Dell Device [1028:0277]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 21
	Region 4: I/O ports at 6f80 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1a.2 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 [8086:2939] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Dell Device [1028:0277]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 22
	Region 4: I/O ports at 6fa0 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1a.7 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 [8086:293c] (rev 03) (prog-if 20 [EHCI])
	Subsystem: Dell Device [1028:0277]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 22
	Region 0: Memory at fed1c400 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1b.0 Audio device [0403]: Intel Corporation 82801I (ICH9 Family) HD Audio Controller [8086:293e] (rev 03)
	Subsystem: Dell Device [1028:0277]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 21
	Region 0: Memory at f6adc000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel

00:1c.0 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 [8086:2940] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=0b, subordinate=0b, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: c0000000-c01fffff
	Prefetchable memory behind bridge: 00000000c0200000-00000000c03fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.1 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 [8086:2942] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=0c, subordinate=0c, sec-latency=0
	I/O behind bridge: 00003000-00003fff
	Memory behind bridge: f6900000-f69fffff
	Prefetchable memory behind bridge: 00000000c0400000-00000000c05fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.3 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 4 [8086:2946] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=0d, subordinate=0e, sec-latency=0
	I/O behind bridge: 0000d000-0000dfff
	Memory behind bridge: f6600000-f68fffff
	Prefetchable memory behind bridge: 00000000f0000000-00000000f01fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1d.0 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 [8086:2934] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Dell Device [1028:0277]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 20
	Region 4: I/O ports at 6f00 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1d.1 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 [8086:2935] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Dell Device [1028:0277]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 21
	Region 4: I/O ports at 6f20 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1d.2 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 [8086:2936] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Dell Device [1028:0277]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 22
	Region 4: I/O ports at 6f40 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1d.7 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 [8086:293a] (rev 03) (prog-if 20 [EHCI])
	Subsystem: Dell Device [1028:0277]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 20
	Region 0: Memory at fed1c000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev 93) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=32
	Memory behind bridge: f6500000-f65fffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:1f.0 ISA bridge [0601]: Intel Corporation ICH9M-E LPC Interface Controller [8086:2917] (rev 03)
	Subsystem: Dell Device [1028:0277]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:1f.2 RAID bus controller [0104]: Intel Corporation Mobile 82801 SATA RAID Controller [8086:282a] (rev 03)
	Subsystem: Dell Device [1028:0277]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 28
	Region 0: I/O ports at 6e70 [size=8]
	Region 1: I/O ports at 6e78 [size=4]
	Region 2: I/O ports at 6e80 [size=8]
	Region 3: I/O ports at 6e88 [size=4]
	Region 4: I/O ports at 6ea0 [size=32]
	Region 5: Memory at fed1c800 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: ahci

00:1f.3 SMBus [0c05]: Intel Corporation 82801I (ICH9 Family) SMBus Controller [8086:2930] (rev 03)
	Subsystem: Dell Device [1028:0277]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 19
	Region 0: Memory at f6adaf00 (64-bit, non-prefetchable) [size=256]
	Region 4: I/O ports at 1100 [size=32]
	Kernel driver in use: i801_smbus

02:01.0 FireWire (IEEE 1394) [0c00]: Ricoh Co Ltd R5C832 IEEE 1394 Controller [1180:0832] (rev 05) (prog-if 10 [OHCI])
	Subsystem: Dell Device [1028:0277]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (500ns min, 1000ns max), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 19
	Region 0: Memory at f65ff800 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: firewire_ohci

02:01.1 SD Host controller [0805]: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter [1180:0822] (rev 22) (prog-if 01)
	Subsystem: Dell Device [1028:0277]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 18
	Region 0: Memory at f65ff700 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: sdhci-pci

0c:00.0 Network controller [0280]: Intel Corporation Ultimate N WiFi Link 5300 [8086:4235]
	Subsystem: Intel Corporation Device [8086:1121]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 30
	Region 0: Memory at f69fe000 (64-bit, non-prefetchable) [size=8K]
	Capabilities: <access denied>
	Kernel driver in use: iwlagn


** USB devices:
Bus 008 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 002: ID 0a5c:5801 Broadcom Corp. BCM5880 Secure Applications Processor with fingerprint swipe sensor
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (101, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.32-5-amd64 depends on:
ii  debconf [debconf-2.0]         1.5.36     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.98.4     tools for generating an initramfs
ii  linux-base                    2.6.32-24  Linux image base package
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo

Versions of packages linux-image-2.6.32-5-amd64 recommends:
ii  firmware-linux-free           2.6.32-24  Binary firmware for various driver

Versions of packages linux-image-2.6.32-5-amd64 suggests:
ii  grub                          0.97-63    GRand Unified Bootloader (dummy pa
pn  linux-doc-2.6.32              <none>     (no description available)

Versions of packages linux-image-2.6.32-5-amd64 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
ii  firmware-iwlwifi              0.27       Binary firmware for Intel Wireless
ii  firmware-linux                0.27       Binary firmware for various driver
ii  firmware-linux-nonfree        0.27       Binary firmware for various driver
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.32-5-amd64/postinst/depmod-error-initrd-2.6.32-5-amd64: false
  linux-image-2.6.32-5-amd64/prerm/removing-running-kernel-2.6.32-5-amd64: true
  linux-image-2.6.32-5-amd64/postinst/missing-firmware-2.6.32-5-amd64:
  linux-image-2.6.32-5-amd64/postinst/bootloader-test-error-2.6.32-5-amd64:
  linux-image-2.6.32-5-amd64/postinst/bootloader-error-2.6.32-5-amd64:
  linux-image-2.6.32-5-amd64/prerm/would-invalidate-boot-loader-2.6.32-5-amd64: true
  linux-image-2.6.32-5-amd64/postinst/ignoring-do-bootloader-2.6.32-5-amd64:
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599345; Package linux-2.6. (Wed, 06 Oct 2010 21:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 06 Oct 2010 21:57:07 GMT) Full text and rfc822 format available.

Message #10 received at 599345@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Julien Cristau <jcristau@debian.org>, 599345@bugs.debian.org
Cc: ilw@linux.intel.com, linux-wireless@vger.kernel.org
Subject: Re: Bug#599345: linux-image-2.6.32-5-amd64: iwlagn allocation failure
Date: Wed, 06 Oct 2010 22:54:03 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2010-10-06 at 21:19 +0200, Julien Cristau wrote:
> Package: linux-2.6
> Version: 2.6.32-23
> Severity: normal
> 
> iwlagn decided 2 weeks of uptime was enough and it wanted me to reboot,
> because it was unhappy after resume.

You also told me that this machine had no swap enabled, which is an
unusual configuration and restricts the ability of the VM to defragment
memory.  I would recommend adding a small swap file/partition.  However:

> Bit of kern.log:
> 
> Oct  6 21:05:02 radis kernel: [378665.326381] NetworkManager: page allocation failure. order:4, mode:0x40d0
> Oct  6 21:05:02 radis kernel: [378665.326393] Pid: 25555, comm: NetworkManager Not tainted 2.6.32-5-amd64 #1
[...]
> Oct  6 21:05:02 radis kernel: [378665.363630] iwlagn 0000:0c:00.0: kmalloc for auxiliary BD structures failed
[...]

This particular allocation is for an array which is not used for DMA and
therefore could be stored in non-contiguous pages allocated with
vmalloc().  But there may be some good reason not to do this.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Severity set to 'minor' from 'normal' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Wed, 06 Oct 2010 21:57:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599345; Package linux-2.6. (Thu, 07 Oct 2010 08:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johannes Berg <johannes@sipsolutions.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 07 Oct 2010 08:09:03 GMT) Full text and rfc822 format available.

Message #17 received at 599345@bugs.debian.org (full text, mbox):

From: Johannes Berg <johannes@sipsolutions.net>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Julien Cristau <jcristau@debian.org>, 599345@bugs.debian.org, ilw@linux.intel.com, linux-wireless@vger.kernel.org
Subject: Re: Bug#599345: linux-image-2.6.32-5-amd64: iwlagn allocation failure
Date: Thu, 07 Oct 2010 09:51:10 +0200
On Wed, 2010-10-06 at 22:54 +0100, Ben Hutchings wrote:
> On Wed, 2010-10-06 at 21:19 +0200, Julien Cristau wrote:
> > Package: linux-2.6
> > Version: 2.6.32-23

> > Oct  6 21:05:02 radis kernel: [378665.326381] NetworkManager: page allocation failure. order:4, mode:0x40d0
> > Oct  6 21:05:02 radis kernel: [378665.326393] Pid: 25555, comm: NetworkManager Not tainted 2.6.32-5-amd64 #1
> [...]
> > Oct  6 21:05:02 radis kernel: [378665.363630] iwlagn 0000:0c:00.0: kmalloc for auxiliary BD structures failed
> [...]
> 
> This particular allocation is for an array which is not used for DMA and
> therefore could be stored in non-contiguous pages allocated with
> vmalloc().  But there may be some good reason not to do this.

I have, however much more recently than that kernel, cleaned this up in
commit ff0d91c3eea6e25b47258349b455671f98f1b0cd -- this particular
allocation is now 2048 or 4096 bytes depending on the architecture (32
vs 64 bit pointers). If you want to backport this, there are two or
three more commits right before it that would probably be required.

johannes





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599345; Package linux-2.6. (Sun, 10 Oct 2010 19:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 10 Oct 2010 19:06:03 GMT) Full text and rfc822 format available.

Message #22 received at 599345@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Julien Cristau <jcristau@debian.org>
Cc: Johannes Berg <johannes@sipsolutions.net>, 599345@bugs.debian.org, ilw@linux.intel.com, linux-wireless@vger.kernel.org
Subject: Re: Bug#599345: linux-image-2.6.32-5-amd64: iwlagn allocation failure
Date: Sun, 10 Oct 2010 20:03:13 +0100
[Message part 1 (text/plain, inline)]
On Thu, 2010-10-07 at 09:51 +0200, Johannes Berg wrote:
> On Wed, 2010-10-06 at 22:54 +0100, Ben Hutchings wrote:
> > On Wed, 2010-10-06 at 21:19 +0200, Julien Cristau wrote:
> > > Package: linux-2.6
> > > Version: 2.6.32-23
> 
> > > Oct  6 21:05:02 radis kernel: [378665.326381] NetworkManager: page allocation failure. order:4, mode:0x40d0
> > > Oct  6 21:05:02 radis kernel: [378665.326393] Pid: 25555, comm: NetworkManager Not tainted 2.6.32-5-amd64 #1
> > [...]
> > > Oct  6 21:05:02 radis kernel: [378665.363630] iwlagn 0000:0c:00.0: kmalloc for auxiliary BD structures failed
> > [...]
> > 
> > This particular allocation is for an array which is not used for DMA and
> > therefore could be stored in non-contiguous pages allocated with
> > vmalloc().  But there may be some good reason not to do this.
> 
> I have, however much more recently than that kernel, cleaned this up in
> commit ff0d91c3eea6e25b47258349b455671f98f1b0cd -- this particular
> allocation is now 2048 or 4096 bytes depending on the architecture (32
> vs 64 bit pointers). If you want to backport this, there are two or
> three more commits right before it that would probably be required.

It seems like we can get away with a much smaller change though.
Julien, could you test this patch?

Ben.

---
From: Ben Hutchings <ben@decadent.org.uk>
Date: Mon, 17 May 2010 02:37:34 -0700
Subject: [PATCH] iwlwifi: reduce memory allocation

Vaguely based on
commit ff0d91c3eea6e25b47258349b455671f98f1b0cd upstream,
from which the following description comes.

From: Johannes Berg <johannes.berg@intel.com>

Currently, the driver allocates up to 19 skb pointers
for each TFD, of which we have 256 per queue. This
means that for each TX queue, we allocate 19k/38k
(an order 4 or 5 allocation on 32/64 bit respectively)
just for each queue's "txb" array, which contains only
the SKB pointers.

However, due to the way we use these pointers only the
first one can ever be assigned. When the driver was
initially written, the idea was that it could be
passed multiple SKBs for each TFD and attach all
those to implement gather DMA. However, due to
constraints in the userspace API and lack of TCP/IP
level checksumming in the device, this is in fact not
possible. And even if it were, the SKBs would be
chained, and we wouldn't need to keep pointers to
each anyway.

Change this to only keep track of one SKB per TFD,
and thereby reduce memory consumption to just one
pointer per TFD, which is an order 0 allocation per
transmit queue.

Signed-off-by: Ben Hutchings <ben@decadent.org.uk>
---
 drivers/net/wireless/iwlwifi/iwl-agn.c |    2 +-
 drivers/net/wireless/iwlwifi/iwl-dev.h |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/drivers/net/wireless/iwlwifi/iwl-agn.c b/drivers/net/wireless/iwlwifi/iwl-agn.c
index c56d355..6323bd7 100644
--- a/drivers/net/wireless/iwlwifi/iwl-agn.c
+++ b/drivers/net/wireless/iwlwifi/iwl-agn.c
@@ -438,7 +438,7 @@ void iwl_hw_txq_free_tfd(struct iwl_priv *priv, struct iwl_tx_queue *txq)
 	/* Sanity check on number of chunks */
 	num_tbs = iwl_tfd_get_num_tbs(tfd);
 
-	if (num_tbs >= IWL_NUM_OF_TBS) {
+	if (num_tbs >= 2) {
 		IWL_ERR(priv, "Too many chunks: %i\n", num_tbs);
 		/* @todo issue fatal error, it is quite serious situation */
 		return;
diff --git a/drivers/net/wireless/iwlwifi/iwl-dev.h b/drivers/net/wireless/iwlwifi/iwl-dev.h
index 8f98d72..48927f2 100644
--- a/drivers/net/wireless/iwlwifi/iwl-dev.h
+++ b/drivers/net/wireless/iwlwifi/iwl-dev.h
@@ -197,7 +197,7 @@ struct iwl_queue {
 
 /* One for each TFD */
 struct iwl_tx_info {
-	struct sk_buff *skb[IWL_NUM_OF_TBS - 1];
+	struct sk_buff *skb[1];
 };
 
 /**
---

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed-upstream, moreinfo, and patch. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 10 Oct 2010 19:06:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599345; Package linux-2.6. (Sun, 10 Oct 2010 19:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johannes Berg <johannes@sipsolutions.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 10 Oct 2010 19:39:05 GMT) Full text and rfc822 format available.

Message #29 received at 599345@bugs.debian.org (full text, mbox):

From: Johannes Berg <johannes@sipsolutions.net>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Julien Cristau <jcristau@debian.org>, 599345@bugs.debian.org, ilw@linux.intel.com, linux-wireless@vger.kernel.org
Subject: Re: Bug#599345: linux-image-2.6.32-5-amd64: iwlagn allocation failure
Date: Sun, 10 Oct 2010 21:37:12 +0200
On Sun, 2010-10-10 at 20:03 +0100, Ben Hutchings wrote:

> > I have, however much more recently than that kernel, cleaned this up in
> > commit ff0d91c3eea6e25b47258349b455671f98f1b0cd -- this particular
> > allocation is now 2048 or 4096 bytes depending on the architecture (32
> > vs 64 bit pointers). If you want to backport this, there are two or
> > three more commits right before it that would probably be required.
> 
> It seems like we can get away with a much smaller change though.
> Julien, could you test this patch?

Yes, that patch seems alright -- we can't end up using more than one.

johannes





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599345; Package linux-2.6. (Wed, 13 Oct 2010 15:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 13 Oct 2010 15:21:03 GMT) Full text and rfc822 format available.

Message #34 received at 599345@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Johannes Berg <johannes@sipsolutions.net>, 599345@bugs.debian.org, ilw@linux.intel.com, linux-wireless@vger.kernel.org
Subject: Re: Bug#599345: linux-image-2.6.32-5-amd64: iwlagn allocation failure
Date: Wed, 13 Oct 2010 17:17:16 +0200
[Message part 1 (text/plain, inline)]
On Sun, Oct 10, 2010 at 20:03:13 +0100, Ben Hutchings wrote:

> On Thu, 2010-10-07 at 09:51 +0200, Johannes Berg wrote:
> > On Wed, 2010-10-06 at 22:54 +0100, Ben Hutchings wrote:
> > > On Wed, 2010-10-06 at 21:19 +0200, Julien Cristau wrote:
> > > > Package: linux-2.6
> > > > Version: 2.6.32-23
> > 
> > > > Oct  6 21:05:02 radis kernel: [378665.326381] NetworkManager: page allocation failure. order:4, mode:0x40d0
> > > > Oct  6 21:05:02 radis kernel: [378665.326393] Pid: 25555, comm: NetworkManager Not tainted 2.6.32-5-amd64 #1
> > > [...]
> > > > Oct  6 21:05:02 radis kernel: [378665.363630] iwlagn 0000:0c:00.0: kmalloc for auxiliary BD structures failed
> > > [...]
> > > 
> > > This particular allocation is for an array which is not used for DMA and
> > > therefore could be stored in non-contiguous pages allocated with
> > > vmalloc().  But there may be some good reason not to do this.
> > 
> > I have, however much more recently than that kernel, cleaned this up in
> > commit ff0d91c3eea6e25b47258349b455671f98f1b0cd -- this particular
> > allocation is now 2048 or 4096 bytes depending on the architecture (32
> > vs 64 bit pointers). If you want to backport this, there are two or
> > three more commits right before it that would probably be required.
> 
> It seems like we can get away with a much smaller change though.
> Julien, could you test this patch?
> 
Getting lots of those in dmesg:
iwlagn 0000:0c:00.0: Too many chunks: 2

Doesn't seem to prevent the network from working though.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599345; Package linux-2.6. (Wed, 13 Oct 2010 15:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johannes Berg <johannes@sipsolutions.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 13 Oct 2010 15:33:05 GMT) Full text and rfc822 format available.

Message #39 received at 599345@bugs.debian.org (full text, mbox):

From: Johannes Berg <johannes@sipsolutions.net>
To: Julien Cristau <jcristau@debian.org>
Cc: Ben Hutchings <ben@decadent.org.uk>, 599345@bugs.debian.org, ilw@linux.intel.com, linux-wireless@vger.kernel.org
Subject: Re: Bug#599345: linux-image-2.6.32-5-amd64: iwlagn allocation failure
Date: Wed, 13 Oct 2010 17:30:26 +0200
On Wed, 2010-10-13 at 17:17 +0200, Julien Cristau wrote:

> Getting lots of those in dmesg:
> iwlagn 0000:0c:00.0: Too many chunks: 2
> 
> Doesn't seem to prevent the network from working though.

It'll at least leak lots of memory though. But I think the check there
is just wrong -- there are TFDs, and there are SKBs, and we need two
TFDs, but just one SKB.

johannes





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599345; Package linux-2.6. (Tue, 21 Dec 2010 23:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 21 Dec 2010 23:21:06 GMT) Full text and rfc822 format available.

Message #44 received at 599345@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Ben Hutchings <ben@decadent.org.uk>, 599345@bugs.debian.org
Subject: Re: Bug#599345: linux-image-2.6.32-5-amd64: iwlagn allocation failure
Date: Wed, 22 Dec 2010 00:19:29 +0100
[Message part 1 (text/plain, inline)]
On Wed, Oct  6, 2010 at 22:54:03 +0100, Ben Hutchings wrote:

> On Wed, 2010-10-06 at 21:19 +0200, Julien Cristau wrote:
> > Package: linux-2.6
> > Version: 2.6.32-23
> > Severity: normal
> > 
> > iwlagn decided 2 weeks of uptime was enough and it wanted me to reboot,
> > because it was unhappy after resume.
> 
> You also told me that this machine had no swap enabled, which is an
> unusual configuration and restricts the ability of the VM to defragment
> memory.

I got the error again today (on 2.6.32-27, with 40 days uptime), and
this time I tried to create a swap file and then reload the module.
That seems to have worked.  If you don't want to go ahead with the patch
you proposed for this in squeeze, feel free to close as fixed, since
AIUI that allocation was reduced in newer kernels.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599345; Package linux-2.6. (Wed, 22 Dec 2010 04:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 22 Dec 2010 04:15:02 GMT) Full text and rfc822 format available.

Message #49 received at 599345@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Johannes Berg <johannes@sipsolutions.net>
Cc: Julien Cristau <jcristau@debian.org>, 599345@bugs.debian.org, ilw@linux.intel.com, linux-wireless@vger.kernel.org
Subject: Re: Bug#599345: linux-image-2.6.32-5-amd64: iwlagn allocation failure
Date: Wed, 22 Dec 2010 04:11:44 +0000
[Message part 1 (text/plain, inline)]
On Wed, 2010-10-13 at 17:30 +0200, Johannes Berg wrote:
> On Wed, 2010-10-13 at 17:17 +0200, Julien Cristau wrote:
> 
> > Getting lots of those in dmesg:
> > iwlagn 0000:0c:00.0: Too many chunks: 2
> > 
> > Doesn't seem to prevent the network from working though.
> 
> It'll at least leak lots of memory though. But I think the check there
> is just wrong -- there are TFDs, and there are SKBs, and we need two
> TFDs, but just one SKB.

Right.  The old condition:
	if (num_tbs >= IWL_NUM_OF_TBS) {
should have been:
	if (num_tbs > IWL_NUM_OF_TBS) {
though in practice neither condition was possible.

In the minimal patch, the condition should be changed to:
	if (num_tbs > 2) {

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Wed, 22 Dec 2010 04:42:02 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Wed, 12 Jan 2011 02:51:22 GMT) Full text and rfc822 format available.

Notification sent to Julien Cristau <jcristau@debian.org>:
Bug acknowledged by developer. (Wed, 12 Jan 2011 02:51:22 GMT) Full text and rfc822 format available.

Message #56 received at 599345-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 599345-close@bugs.debian.org
Subject: Bug#599345: fixed in linux-2.6 2.6.32-30
Date: Wed, 12 Jan 2011 02:50:09 +0000
Source: linux-2.6
Source-Version: 2.6.32-30

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.32-30_all.deb
  to main/l/linux-2.6/firmware-linux-free_2.6.32-30_all.deb
linux-2.6_2.6.32-30.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.32-30.diff.gz
linux-2.6_2.6.32-30.dsc
  to main/l/linux-2.6/linux-2.6_2.6.32-30.dsc
linux-base_2.6.32-30_all.deb
  to main/l/linux-2.6/linux-base_2.6.32-30_all.deb
linux-doc-2.6.32_2.6.32-30_all.deb
  to main/l/linux-2.6/linux-doc-2.6.32_2.6.32-30_all.deb
linux-manual-2.6.32_2.6.32-30_all.deb
  to main/l/linux-2.6/linux-manual-2.6.32_2.6.32-30_all.deb
linux-patch-debian-2.6.32_2.6.32-30_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.32_2.6.32-30_all.deb
linux-source-2.6.32_2.6.32-30_all.deb
  to main/l/linux-2.6/linux-source-2.6.32_2.6.32-30_all.deb
linux-support-2.6.32-5_2.6.32-30_all.deb
  to main/l/linux-2.6/linux-support-2.6.32-5_2.6.32-30_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 599345@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 11 Jan 2011 05:42:11 +0000
Source: linux-2.6
Binary: linux-tools-2.6.32 linux-source-2.6.32 linux-doc-2.6.32 linux-manual-2.6.32 linux-patch-debian-2.6.32 firmware-linux-free linux-support-2.6.32-5 linux-base linux-libc-dev linux-headers-2.6.32-5-all linux-headers-2.6.32-5-all-alpha linux-headers-2.6.32-5-common linux-image-2.6.32-5-alpha-generic linux-headers-2.6.32-5-alpha-generic linux-image-2.6.32-5-alpha-smp linux-headers-2.6.32-5-alpha-smp linux-image-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-all-amd64 linux-image-2.6.32-5-amd64 linux-headers-2.6.32-5-amd64 linux-image-2.6.32-5-amd64-dbg linux-headers-2.6.32-5-common-openvz linux-image-2.6.32-5-openvz-amd64 linux-headers-2.6.32-5-openvz-amd64 linux-image-2.6.32-5-openvz-amd64-dbg linux-headers-2.6.32-5-common-vserver linux-image-2.6.32-5-vserver-amd64 linux-headers-2.6.32-5-vserver-amd64 linux-image-2.6.32-5-vserver-amd64-dbg linux-headers-2.6.32-5-common-xen linux-image-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-xen-amd64
 linux-image-2.6.32-5-xen-amd64-dbg xen-linux-system-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-all-armel linux-image-2.6.32-5-iop32x linux-headers-2.6.32-5-iop32x linux-image-2.6.32-5-ixp4xx linux-headers-2.6.32-5-ixp4xx linux-image-2.6.32-5-kirkwood linux-headers-2.6.32-5-kirkwood linux-image-2.6.32-5-orion5x linux-headers-2.6.32-5-orion5x linux-image-2.6.32-5-versatile linux-headers-2.6.32-5-versatile linux-headers-2.6.32-5-all-hppa linux-image-2.6.32-5-parisc linux-headers-2.6.32-5-parisc linux-image-2.6.32-5-parisc-smp linux-headers-2.6.32-5-parisc-smp linux-image-2.6.32-5-parisc64 linux-headers-2.6.32-5-parisc64 linux-image-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-all-i386 linux-image-2.6.32-5-486 linux-headers-2.6.32-5-486 linux-image-2.6.32-5-686 linux-headers-2.6.32-5-686 linux-image-2.6.32-5-686-bigmem linux-headers-2.6.32-5-686-bigmem linux-image-2.6.32-5-686-bigmem-dbg linux-image-2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-686 linux-image-2.6.32-5-openvz-686-dbg linux-image-2.6.32-5-vserver-686 linux-headers-2.6.32-5-vserver-686 linux-image-2.6.32-5-vserver-686-bigmem linux-headers-2.6.32-5-vserver-686-bigmem linux-image-2.6.32-5-vserver-686-bigmem-dbg linux-image-2.6.32-5-xen-686 linux-headers-2.6.32-5-xen-686 linux-image-2.6.32-5-xen-686-dbg xen-linux-system-2.6.32-5-xen-686 linux-headers-2.6.32-5-all-ia64 linux-image-2.6.32-5-itanium linux-headers-2.6.32-5-itanium linux-image-2.6.32-5-mckinley linux-headers-2.6.32-5-mckinley linux-image-2.6.32-5-vserver-itanium linux-headers-2.6.32-5-vserver-itanium linux-image-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-all-m68k linux-image-2.6.32-5-amiga linux-headers-2.6.32-5-amiga linux-image-2.6.32-5-atari linux-headers-2.6.32-5-atari linux-image-2.6.32-5-bvme6000 linux-headers-2.6.32-5-bvme6000 linux-image-2.6.32-5-mac linux-headers-2.6.32-5-mac
 linux-image-2.6.32-5-mvme147 linux-headers-2.6.32-5-mvme147 linux-image-2.6.32-5-mvme16x linux-headers-2.6.32-5-mvme16x linux-headers-2.6.32-5-all-mips linux-image-2.6.32-5-r4k-ip22 linux-headers-2.6.32-5-r4k-ip22 linux-image-2.6.32-5-r5k-ip32 linux-headers-2.6.32-5-r5k-ip32 linux-image-2.6.32-5-sb1-bcm91250a linux-headers-2.6.32-5-sb1-bcm91250a linux-image-2.6.32-5-sb1a-bcm91480b linux-headers-2.6.32-5-sb1a-bcm91480b linux-image-2.6.32-5-4kc-malta linux-headers-2.6.32-5-4kc-malta linux-image-2.6.32-5-5kc-malta linux-headers-2.6.32-5-5kc-malta linux-headers-2.6.32-5-all-mipsel linux-image-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-all-powerpc linux-image-2.6.32-5-powerpc linux-headers-2.6.32-5-powerpc linux-image-2.6.32-5-powerpc-smp linux-headers-2.6.32-5-powerpc-smp linux-image-2.6.32-5-powerpc64 linux-headers-2.6.32-5-powerpc64 linux-image-2.6.32-5-vserver-powerpc linux-headers-2.6.32-5-vserver-powerpc
 linux-image-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-all-s390 linux-image-2.6.32-5-s390x linux-headers-2.6.32-5-s390x linux-image-2.6.32-5-s390x-tape linux-image-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-all-sh4 linux-image-2.6.32-5-sh7751r linux-headers-2.6.32-5-sh7751r linux-image-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-all-sparc linux-image-2.6.32-5-sparc64 linux-headers-2.6.32-5-sparc64 linux-image-2.6.32-5-sparc64-smp linux-headers-2.6.32-5-sparc64-smp linux-image-2.6.32-5-vserver-sparc64 linux-headers-2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-all-sparc64
Architecture: all amd64 source
Version: 2.6.32-30
Distribution: unstable
Urgency: high
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 555835 580507 594561 596390 599345 600694 601341 606968 607095 607284 607863 608144 608185 609155
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.32 - Linux kernel specific documentation for version 2.6.32
 linux-headers-2.6.32-5-486 - Header files for Linux 2.6.32-5-486
 linux-headers-2.6.32-5-4kc-malta - Header files for Linux 2.6.32-5-4kc-malta
 linux-headers-2.6.32-5-5kc-malta - Header files for Linux 2.6.32-5-5kc-malta
 linux-headers-2.6.32-5-686-bigmem - Header files for Linux 2.6.32-5-686-bigmem
 linux-headers-2.6.32-5-686 - Header files for Linux 2.6.32-5-686
 linux-headers-2.6.32-5-all - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-alpha - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-amd64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-armel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-hppa - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-i386 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-ia64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-m68k - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mips - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mipsel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-powerpc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-s390 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sh4 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-alpha-generic - Header files for Linux 2.6.32-5-alpha-generic
 linux-headers-2.6.32-5-alpha-legacy - Header files for Linux 2.6.32-5-alpha-legacy
 linux-headers-2.6.32-5-alpha-smp - Header files for Linux 2.6.32-5-alpha-smp
 linux-headers-2.6.32-5-amd64 - Header files for Linux 2.6.32-5-amd64
 linux-headers-2.6.32-5-amiga - Header files for Linux 2.6.32-5-amiga
 linux-headers-2.6.32-5-atari - Header files for Linux 2.6.32-5-atari
 linux-headers-2.6.32-5-bvme6000 - Header files for Linux 2.6.32-5-bvme6000
 linux-headers-2.6.32-5-common - Common header files for Linux 2.6.32-5
 linux-headers-2.6.32-5-common-openvz - Common header files for Linux 2.6.32-5-openvz
 linux-headers-2.6.32-5-common-vserver - Common header files for Linux 2.6.32-5-vserver
 linux-headers-2.6.32-5-common-xen - Common header files for Linux 2.6.32-5-xen
 linux-headers-2.6.32-5-iop32x - Header files for Linux 2.6.32-5-iop32x
 linux-headers-2.6.32-5-itanium - Header files for Linux 2.6.32-5-itanium
 linux-headers-2.6.32-5-ixp4xx - Header files for Linux 2.6.32-5-ixp4xx
 linux-headers-2.6.32-5-kirkwood - Header files for Linux 2.6.32-5-kirkwood
 linux-headers-2.6.32-5-mac - Header files for Linux 2.6.32-5-mac
 linux-headers-2.6.32-5-mckinley - Header files for Linux 2.6.32-5-mckinley
 linux-headers-2.6.32-5-mvme147 - Header files for Linux 2.6.32-5-mvme147
 linux-headers-2.6.32-5-mvme16x - Header files for Linux 2.6.32-5-mvme16x
 linux-headers-2.6.32-5-openvz-686 - Header files for Linux 2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-amd64 - Header files for Linux 2.6.32-5-openvz-amd64
 linux-headers-2.6.32-5-orion5x - Header files for Linux 2.6.32-5-orion5x
 linux-headers-2.6.32-5-parisc64 - Header files for Linux 2.6.32-5-parisc64
 linux-headers-2.6.32-5-parisc64-smp - Header files for Linux 2.6.32-5-parisc64-smp
 linux-headers-2.6.32-5-parisc - Header files for Linux 2.6.32-5-parisc
 linux-headers-2.6.32-5-parisc-smp - Header files for Linux 2.6.32-5-parisc-smp
 linux-headers-2.6.32-5-powerpc64 - Header files for Linux 2.6.32-5-powerpc64
 linux-headers-2.6.32-5-powerpc - Header files for Linux 2.6.32-5-powerpc
 linux-headers-2.6.32-5-powerpc-smp - Header files for Linux 2.6.32-5-powerpc-smp
 linux-headers-2.6.32-5-r4k-ip22 - Header files for Linux 2.6.32-5-r4k-ip22
 linux-headers-2.6.32-5-r5k-cobalt - Header files for Linux 2.6.32-5-r5k-cobalt
 linux-headers-2.6.32-5-r5k-ip32 - Header files for Linux 2.6.32-5-r5k-ip32
 linux-headers-2.6.32-5-s390x - Header files for Linux 2.6.32-5-s390x
 linux-headers-2.6.32-5-sb1a-bcm91480b - Header files for Linux 2.6.32-5-sb1a-bcm91480b
 linux-headers-2.6.32-5-sb1-bcm91250a - Header files for Linux 2.6.32-5-sb1-bcm91250a
 linux-headers-2.6.32-5-sh7751r - Header files for Linux 2.6.32-5-sh7751r
 linux-headers-2.6.32-5-sh7785lcr - Header files for Linux 2.6.32-5-sh7785lcr
 linux-headers-2.6.32-5-sparc64 - Header files for Linux 2.6.32-5-sparc64
 linux-headers-2.6.32-5-sparc64-smp - Header files for Linux 2.6.32-5-sparc64-smp
 linux-headers-2.6.32-5-versatile - Header files for Linux 2.6.32-5-versatile
 linux-headers-2.6.32-5-vserver-686-bigmem - Header files for Linux 2.6.32-5-vserver-686-bigmem
 linux-headers-2.6.32-5-vserver-686 - Header files for Linux 2.6.32-5-vserver-686
 linux-headers-2.6.32-5-vserver-amd64 - Header files for Linux 2.6.32-5-vserver-amd64
 linux-headers-2.6.32-5-vserver-itanium - Header files for Linux 2.6.32-5-vserver-itanium
 linux-headers-2.6.32-5-vserver-mckinley - Header files for Linux 2.6.32-5-vserver-mckinley
 linux-headers-2.6.32-5-vserver-powerpc64 - Header files for Linux 2.6.32-5-vserver-powerpc64
 linux-headers-2.6.32-5-vserver-powerpc - Header files for Linux 2.6.32-5-vserver-powerpc
 linux-headers-2.6.32-5-vserver-s390x - Header files for Linux 2.6.32-5-vserver-s390x
 linux-headers-2.6.32-5-vserver-sparc64 - Header files for Linux 2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-xen-686 - Header files for Linux 2.6.32-5-xen-686
 linux-headers-2.6.32-5-xen-amd64 - Header files for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-486 - Linux 2.6.32 for old PCs
 linux-image-2.6.32-5-4kc-malta - Linux 2.6.32 for MIPS Malta
 linux-image-2.6.32-5-5kc-malta - Linux 2.6.32 for MIPS Malta (64-bit)
 linux-image-2.6.32-5-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-686-bigmem
 linux-image-2.6.32-5-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM
 linux-image-2.6.32-5-686 - Linux 2.6.32 for modern PCs
 linux-image-2.6.32-5-alpha-generic - Linux 2.6.32 for Alpha
 linux-image-2.6.32-5-alpha-legacy - Linux 2.6.32 for Alpha Legacy
 linux-image-2.6.32-5-alpha-smp - Linux 2.6.32 for Alpha SMP
 linux-image-2.6.32-5-amd64-dbg - Debugging infos for Linux 2.6.32-5-amd64
 linux-image-2.6.32-5-amd64 - Linux 2.6.32 for 64-bit PCs
 linux-image-2.6.32-5-amiga - Linux 2.6.32 for Amiga
 linux-image-2.6.32-5-atari - Linux 2.6.32 for Atari
 linux-image-2.6.32-5-bvme6000 - Linux 2.6.32 for BVM BVME4000 and BVME6000
 linux-image-2.6.32-5-iop32x - Linux 2.6.32 for IOP32x
 linux-image-2.6.32-5-itanium - Linux 2.6.32 for Itanium
 linux-image-2.6.32-5-ixp4xx - Linux 2.6.32 for IXP4xx
 linux-image-2.6.32-5-kirkwood - Linux 2.6.32 for Marvell Kirkwood
 linux-image-2.6.32-5-mac - Linux 2.6.32 for Macintosh
 linux-image-2.6.32-5-mckinley - Linux 2.6.32 for Itanium II
 linux-image-2.6.32-5-mvme147 - Linux 2.6.32 for Motorola MVME147
 linux-image-2.6.32-5-mvme16x - Linux 2.6.32 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.32-5-openvz-686-dbg - Debugging infos for Linux 2.6.32-5-openvz-686
 linux-image-2.6.32-5-openvz-686 - Linux 2.6.32 for modern PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-amd64-dbg - Debugging infos for Linux 2.6.32-5-openvz-amd64
 linux-image-2.6.32-5-openvz-amd64 - Linux 2.6.32 for 64-bit PCs, OpenVZ support
 linux-image-2.6.32-5-orion5x - Linux 2.6.32 for Marvell Orion
 linux-image-2.6.32-5-parisc64 - Linux 2.6.32 for 64-bit PA-RISC
 linux-image-2.6.32-5-parisc64-smp - Linux 2.6.32 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.32-5-parisc - Linux 2.6.32 for 32-bit PA-RISC
 linux-image-2.6.32-5-parisc-smp - Linux 2.6.32 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.32-5-powerpc64 - Linux 2.6.32 for 64-bit PowerPC
 linux-image-2.6.32-5-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc-smp - Linux 2.6.32 for multiprocessor 32-bit PowerPC
 linux-image-2.6.32-5-r4k-ip22 - Linux 2.6.32 for SGI IP22
 linux-image-2.6.32-5-r5k-cobalt - Linux 2.6.32 for Cobalt
 linux-image-2.6.32-5-r5k-ip32 - Linux 2.6.32 for SGI IP32
 linux-image-2.6.32-5-s390x - Linux 2.6.32 for IBM zSeries
 linux-image-2.6.32-5-s390x-tape - Linux 2.6.32 for IBM zSeries, IPL from tape
 linux-image-2.6.32-5-sb1a-bcm91480b - Linux 2.6.32 for BCM91480B
 linux-image-2.6.32-5-sb1-bcm91250a - Linux 2.6.32 for BCM91250A
 linux-image-2.6.32-5-sh7751r - Linux 2.6.32 for sh7751r
 linux-image-2.6.32-5-sh7785lcr - Linux 2.6.32 for sh7785lcr
 linux-image-2.6.32-5-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-sparc64-smp - Linux 2.6.32 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-versatile - Linux 2.6.32 for Versatile
 linux-image-2.6.32-5-vserver-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-vserver-686-bigmem
 linux-image-2.6.32-5-vserver-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM, Linux-VServer support
 linux-image-2.6.32-5-vserver-686 - Linux 2.6.32 for modern PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-amd64-dbg - Debugging infos for Linux 2.6.32-5-vserver-amd64
 linux-image-2.6.32-5-vserver-amd64 - Linux 2.6.32 for 64-bit PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-itanium - Linux 2.6.32 for Itanium, Linux-VServer support
 linux-image-2.6.32-5-vserver-mckinley - Linux 2.6.32 for Itanium II, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc64 - Linux 2.6.32 for 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC, Linux-VServer suppo
 linux-image-2.6.32-5-vserver-s390x - Linux 2.6.32 for IBM zSeries, Linux-VServer support
 linux-image-2.6.32-5-vserver-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC, Linux-VServer su
 linux-image-2.6.32-5-xen-686-dbg - Debugging infos for Linux 2.6.32-5-xen-686
 linux-image-2.6.32-5-xen-686 - Linux 2.6.32 for modern PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-amd64-dbg - Debugging infos for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-xen-amd64 - Linux 2.6.32 for 64-bit PCs, Xen dom0 support
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.32 - Linux kernel API manual pages for version 2.6.32
 linux-patch-debian-2.6.32 - Debian patches to version 2.6.32 of the Linux kernel
 linux-source-2.6.32 - Linux kernel source for version 2.6.32 with Debian patches
 linux-support-2.6.32-5 - Support files for Linux 2.6.32
 linux-tools-2.6.32 - Performance analysis tools for Linux 2.6.32
 xen-linux-system-2.6.32-5-xen-686 - Xen system with Linux 2.6.32 on modern PCs (meta-package)
 xen-linux-system-2.6.32-5-xen-amd64 - Xen system with Linux 2.6.32 on 64-bit PCs (meta-package)
Changes: 
 linux-2.6 (2.6.32-30) unstable; urgency=high
 .
   [ Ben Hutchings ]
   * mpt2sas: Fix incorrect scsi_dma_map error checking (Closes: #606968)
   * Update Spanish debconf template translation (Omar Campagne, Javier
     Fernández-Sanguino) (Really closes: #600694)
   * intel-iommu: Force-disable IOMMU for iGFX on broken Cantiga revisions
     (Closes: #607095)
   * [powerpc] linux-base: Run ybin after updating yaboot.conf
     (Closes: #607284)
   * tehuti: Firmware filename is tehuti/bdx.bin
   * iwlwifi: Reduce a failure-prone memory allocation (Closes: #599345)
   * linux-base: Look for GRUB 1 configuration in both /boot/grub and
     /boot/boot/grub (Closes: #607863)
   * rt28x0: Add ieee80211_regdom module parameter mimicking cfg80211 as a
     workaround for incorrect region code in NVRAM (Closes: #594561)
   * btrfs: Require CAP_SYS_ADMIN for filesystem rebalance (Closes: #608185)
   * [x86] dell-laptop: Enable for some newer Dell models
   * r8169: Change RTL8111D/RTL8168D initialisation and firmware loading to
     match upstream version (Closes: #596390 with firmware-realtek 0.28)
   * Add stable 2.6.32.28:
     - NFS: Fix panic after nfs_umount()
     - usb-storage/libusual: Add support for Samsung YP-CP3 MP4 Player,
       thanks to Vitaly Kuznetsov (Closes: #555835)
     - bfa: Fix system crash when reading sysfs fc_host statistics
       (CVE-2010-4343)
     - IB/uverbs: Handle large number of entries in poll CQ (CVE-2010-4649)
     - orinoco: Fix TKIP countermeasure behaviour (CVE-2010-4648)
     - mm: Add security_file_mmap check to install_special_mapping
       (CVE-2010-4346)
     - sctp: Fix a race between ICMP protocol unreachable and connect()
       (CVE-2010-4526)
     - hvc_console: Fix race between hvc_close and hvc_remove (CVE-2010-2653)
       (previously applied as an isolated fix in 2.6.32-25)
     - fuse/cuse: Verify ioctl retries (CVE-2010-4650)
   * [powerpc] Restore device tree source files to linux-image packages
     (Closes: #609155)
 .
   [ maximilian attems ]
   * [openvz] Reenable NF_CONNTRACK_IPV6. (closes: #580507)
   * cifs: fix another memleak, in cifs_root_iget.
   * b43: Fix warning at drivers/mmc/core/core.c:237 in mmc_wait_for_cmd.
   * drm/radeon/kms: MC vram map needs to be >= pci aperture size.
   * drm/radeon/kms: make sure blit addr masks are 64 bit.
   * drm/radeon/kms: fix handling of tex lookup disable in cs checker on r2xx.
   * drm/i915: Free hardware status page on unload when physically mapped.
   * drm/i915/overlay: Ensure that the reg_bo is in the GTT prior to writing.
   * drm/radeon/kms/atom: set sane defaults in atombios_get_encoder_mode().
   * drm/radeon/kms: fix typos in disabled vbios code.
   * drm/radeon/kms: add workaround for dce3 ddc line vbios bug.
   * drm/radeon/kms: fix interlaced and doublescan handling.
   * drm/i915/sdvo: Always add a 30ms delay to make SDVO TV detection reliable.
   * wireless: b43: fix error path in SDIO.
   * drm/radeon/kms: don't apply 7xx HDP flush workaround on AGP.
 .
   [ Ian Campbell ]
   * xen: backport TTM patches to use PCI API. Fixes PCIe GPU (specifically
     Radeon and Nouveau) on Xen (Closes: #601341).
   * xen: netback: drop SKBs which are GSO but do not have a partial
     checksum set (Closes: #608144).
 .
   [ dann frazier ]
   * exec: make argv/envp memory visible to oom-killer (CVE-2010-4243)
   * irda: Fix information leak in IRLMP_ENUMDEVICES (CVE-2010-4529)
   * af_unix: limit unix_tot_inflight (CVE-2010-4249)
 .
   [ Moritz Muehlenhoff ]
   * net: ax25: fix information leak to userland (CVE-2010-3875)
   * net: packet: fix information leak to userland (CVE-2010-3876)
   * net: tipc: fix information leak to userland (CVE-2010-3877)
   * inet_diag: Make sure we actually run the same bytecode we audited
     (CVE-2010-3880)
   * econet: Fix crash in aun_incoming() (CVE-2010-4342)
Checksums-Sha1: 
 db0c85af9383f494ce5d021a10f20c2b170f3af3 6969 linux-2.6_2.6.32-30.dsc
 6ac2dfe0a9c10aebd4486e1702fb358c7513f22a 14334799 linux-2.6_2.6.32-30.diff.gz
 fc378dc9c28f4e5c3aa986c32489f7693e2e4126 6051958 linux-doc-2.6.32_2.6.32-30_all.deb
 f4b46338df7ee5dfbe7bb02ce7a17cb95ebc9732 2729452 linux-manual-2.6.32_2.6.32-30_all.deb
 d6f64dd831fb95491d45440f278c126c19018466 7484478 linux-patch-debian-2.6.32_2.6.32-30_all.deb
 78b181e067bf93fe33a3ee782f609348f76689ef 65017190 linux-source-2.6.32_2.6.32-30_all.deb
 2842e01fd47b05a51dd51227ea5bc00bf68acc64 157346 linux-support-2.6.32-5_2.6.32-30_all.deb
 136606e0d8c40772f789421a5a29d789000fdf24 145468 firmware-linux-free_2.6.32-30_all.deb
 188cb3c5a224e3fbe099acc048f35b73df94bbea 166574 linux-base_2.6.32-30_all.deb
Checksums-Sha256: 
 e5f47cecf5e1654f108dd716307aad31b309e73960609af33158ef6975df0987 6969 linux-2.6_2.6.32-30.dsc
 7f38042799f8ece01f3de0075349e7b96f7173c64d2c0b238e2f755ad37e698e 14334799 linux-2.6_2.6.32-30.diff.gz
 c60982abe08391b6511513f96690203349106099d593170e1801be3b88ca7b5b 6051958 linux-doc-2.6.32_2.6.32-30_all.deb
 39decaa1e140651002f53a70acb58a2ffdf62b2c6377062c08ed604f4803c0ac 2729452 linux-manual-2.6.32_2.6.32-30_all.deb
 6d4e64b561261fd292fb4f6d4c41924fa57c05bd9bc4a183ba1c9227c2319764 7484478 linux-patch-debian-2.6.32_2.6.32-30_all.deb
 32380882d8c31fdb6f627645a1cd3fb72e7cb840625616cfefaf294791328334 65017190 linux-source-2.6.32_2.6.32-30_all.deb
 251eb954863e5037717a2d267383f28171c6059a15d8eb15f1be7aa7badb0d6a 157346 linux-support-2.6.32-5_2.6.32-30_all.deb
 510a1996142bc7d0f5e422718acbe3fd28a63221e2c5ba60707d69963bfb19a3 145468 firmware-linux-free_2.6.32-30_all.deb
 5a44afd747e37f8e0f9883caccf3525b7d40c4f8b8151be685576c22237631f3 166574 linux-base_2.6.32-30_all.deb
Files: 
 0a109fb1bf9dc32894be925123d43fbe 6969 kernel optional linux-2.6_2.6.32-30.dsc
 0a67dc7a82597f6ea7bf956bf906bd6a 14334799 kernel optional linux-2.6_2.6.32-30.diff.gz
 97e12dc7c864f5125727cc918a9998c3 6051958 doc optional linux-doc-2.6.32_2.6.32-30_all.deb
 6385ca1f37ae576730ac7b41bdf0548a 2729452 doc optional linux-manual-2.6.32_2.6.32-30_all.deb
 c01c54f3fa4dd642a0d08bc01985f995 7484478 kernel optional linux-patch-debian-2.6.32_2.6.32-30_all.deb
 73c021b8fbe88f84ec01bd48cdffa0f0 65017190 kernel optional linux-source-2.6.32_2.6.32-30_all.deb
 7ec6a4dcbb1745d121e8c7eeaf9d00fc 157346 devel optional linux-support-2.6.32-5_2.6.32-30_all.deb
 035b1d1f872bae0f04ae2d26e69c74f3 145468 kernel optional firmware-linux-free_2.6.32-30_all.deb
 2dc3815573df89796d1941a3164c5d17 166574 kernel optional linux-base_2.6.32-30_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIVAwUBTS0KEue/yOyVhhEJAQp6Qg/+MuqLIyMI+v3Zm6IC+tkrTkt4riIEg6aF
pt9v2KLtxthCNx38t9+ANKPx9TPjXuQgMiIMcKckK4uHXqGHieXg0+cvt/mnLbMN
QC7YJhF/kJ+4Dl9edHimfFSATZbhz+3uHXoPzqxd4iK8lZIaaXFqGvo8NUEO3APy
49o+NwDh0AM7wFs0JxySUaHRrS5L+vzkqi9VrJ3Av0Skxmjecqq9+9+GXrQGMdTZ
SmQvnl33+c0/Bj5VUJJfKmojR9GFmS5Gzdz6Y8uPxOPlGvKy/kvJztqzPJC6ApYc
8a4GuPSylqb3slfg4akVaZ/dN7c2BnM+ScrwQDB5fugyfEV6Uuh0reM4u+w2Iq7C
cwLTtQ7xxEkAzQL8PMrIcy4yqB6ydpXwB8Vnfri3fBCCwZ9gOODw/+rLon9pK+so
NTLmLyS44zcTsYa5fxR38eupspucIoCo2g0uGFLcWKHDq/9bbKQRbKBv28yNJS5f
3MODJcEGW/9HKwNSDn9rlF/bYgPtJiRtZIaU52vxOAAXPA0+j/QLfX6q8bMg0yaj
oiUrfdyfcyQ8BFOpCqOdMfKn6QW3cZ+XOL+hVoLBgvdReEq5JK/UQsAHLSACmF8b
Z9m2w36o7c+ZtZmhJ6qHnd62vxCiOd1yIOuQOl7ps9UzxtIRXN1NISaX4ThzAZ/S
gA+vxo6sW1w=
=JgT1
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 12 Feb 2011 07:35:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 22:03:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.